* {
    font-family: "be-vietnam-pro", sans-serif;
}

/* pudding */
#pudding {
    text-align: center;
}
.sound-button {
    width: 160px;  
    cursor: pointer; 
    transition: transform 0.1s ease;
}

.sound-button:active {
    transform: scale(0.95); /* small press animation */
}

body {
    margin: 0;
    background-color: #EBEBEB;
}

#home {
    display: flex;
    flex-direction: column;
}

#navbar {
    width: 100%;
    background: white;
    text-align: center;
}

#logo {
    font-size: 40px;
    margin: 0;
    padding-top: 20px;
    color: #307278;
    text-decoration: none;
}

#logo a {
    text-decoration: none;
}

#logo a:visited {
    color: #307278;
}

#name {
    margin: 5px 0;
    font-size: 22px;
}

#caption {
    font-size: 12px;
    margin-bottom: 20px;
}

ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

li a {
    text-align: center;
    display: block;
    padding: 12px 0;
    color: black;
    text-decoration: none;
    border-bottom: 1px solid black;
}

#firstnav {
    border-top: 1px solid black;
}

li a:hover {
    background: #307278;
    color: white;
}

#navimg {
    display: none;
}

#hello {
    font-size: 48px;
    text-align: center;
    margin: 40px 20px;
    margin-top: 100px;;
}

#changing-text {
    color: #307278;
    font-style: italic;
    text-decoration: underline;
}

/* ABOUT PAGE */
#intro {
    margin: 30px;
    padding-top: 40px;
}

#jae {
    width: 240px;
    height: auto;
    display: flex;
    border: 1px solid black;
    margin: auto;
}

/* Human SKills */

#card {
    background-color: white;
    padding: 12px;
    border-radius: 16px;
    max-width: 350px;
    max-height: 500px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border: 1px solid #307278;
    margin: auto;
}

#cardimg {
    max-width: 400px;
    width: 90%;
    height: auto;
    max-height: 180px;
    border: 1px solid black;
}

/* mobile only */
@media (max-width: 800px) {
    #hamburger {
        display: block;
        position: fixed;
        top: 20px;
        left: 20px;
        z-index: 9999;
        font-size: 35px;
        background: none;
        border: none;
    }

    /* hide navbar on mobile */
    #navbar {
        display: none;
        width: 100%;
        border: 1px solid black;
    }

    #navbar.active {
        display: block;
    }

    #human {
        flex-direction: column;
        padding-left: 0em;
        padding-right: 0em;
        padding-top: 140px;
        justify-content: center;
    }

    #card {
        margin-bottom: 40px;
    }
}

/* desktop view */
@media (min-width: 800px) {
    #home {
        flex-direction: row;
    }

    #hamburger {
        display: none;
    }

    #navbar {
        position: sticky;
        top: 0;
        width: 200px;
        height: 100vh;
        margin-left: 40px;
        border-left: 1px solid black;
        border-right: 1px solid black;
        text-align: center;
        display: flex;     
        flex-direction: column; 
        justify-content: space-between; 
    }

    #logo {
        font-size: 70px;
        padding-top: 58px;
    }

    #name {
        font-size: 30px;
    }
    
    #navimg {
        display: block;
        width: 90px;
        height: 90px;
        /* background: gray; */
        margin: 240px auto 53px auto;
    }

    ul {
        width: 200px;
    }

    #hello {
        position: absolute;
        left: 350px;
        top: 20px;
        font-size: 130px;
        text-align: left;
    }

    #pudding {
        position: absolute;
        left: 1250px;
        top: 580px;
        text-align: center;
    }

    #human {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        width: 100%;
        padding-left: 2em;
        padding-right: 2em;
    }
}
